Qt 5.13 | Qt GUI | C++ Classes | QTouchEvent

Qt 5.13.2 Reference Documentation

# Obsolete Members for QTouchEvent

The following members of class QTouchEvent are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` enum | DeviceType { }

## Public Functions

`(obsolete)` QTouchEvent::DeviceType | deviceType() const

## Member Function Documentation

### QTouchEvent::DeviceType QTouchEvent::deviceType() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the touch device Type, which is of type DeviceType.

This function has been deprecated. Use QTouchDevice::type() instead.

See also QTouchDevice::type() and QTouchEvent::device().